import 'package:flutter/material.dart';
import 'package:wow_views/common/color.dart';

const InputDecorationTheme bds8xInputDecorationTheme = InputDecorationTheme(
  labelStyle: TextStyle(
    color: Bds8xColor.blue367E,
    fontWeight: FontWeight.bold,
    fontSize: 14,
    overflow: TextOverflow.ellipsis,
  ),
  floatingLabelStyle: TextStyle(
    color: Bds8xColor.blue367E,
    fontWeight: FontWeight.bold,
    fontSize: 14,
    overflow: TextOverflow.ellipsis,
  ),
  hintStyle: TextStyle(
    color: Bds8xColor.grey6B6B,
    fontWeight: FontWeight.normal,
    fontSize: 14,
    overflow: TextOverflow.ellipsis,
  ),
  helperStyle: TextStyle(
    color: Bds8xColor.grey6B6B,
    fontWeight: FontWeight.normal,
    fontSize: 12,
    overflow: TextOverflow.ellipsis,
  ),
  counterStyle: TextStyle(
    color: Bds8xColor.grey6B6B,
    fontWeight: FontWeight.normal,
    fontSize: 12,
    overflow: TextOverflow.ellipsis,
  ),
  errorStyle: TextStyle(
    color: Bds8xColor.red4336,
    fontWeight: FontWeight.normal,
    fontSize: 12,
    overflow: TextOverflow.ellipsis,
  ),
  prefixStyle: TextStyle(
    color: Bds8xColor.black,
    fontWeight: FontWeight.normal,
    fontSize: 14,
    overflow: TextOverflow.ellipsis,
  ),
  suffixStyle: TextStyle(
    color: Bds8xColor.grey6B6B,
    fontWeight: FontWeight.normal,
    fontSize: 14,
    overflow: TextOverflow.ellipsis,
  ),
  errorMaxLines: 1,
  filled: true,
  fillColor: Bds8xColor.greyEEEE,
  focusColor: Bds8xColor.greyEEEE,
  hoverColor: Bds8xColor.greyEEEE,
  isDense: true,
  contentPadding: EdgeInsets.symmetric(horizontal: 16, vertical: 16),
  border: OutlineInputBorder(
    borderRadius: BorderRadius.all(Radius.circular(15)),
    borderSide: BorderSide(color: Bds8xColor.greyE0E0),
  ),
  focusedBorder: OutlineInputBorder(
    borderRadius: BorderRadius.all(Radius.circular(15)),
    borderSide: BorderSide(color: Bds8xColor.greyE0E0),
  ),
  enabledBorder: OutlineInputBorder(
    borderRadius: BorderRadius.all(Radius.circular(15)),
    borderSide: BorderSide(color: Bds8xColor.greyE0E0),
  ),
  disabledBorder: OutlineInputBorder(
    borderRadius: BorderRadius.all(Radius.circular(15)),
    borderSide: BorderSide(color: Bds8xColor.greyE0E0),
  ),
  errorBorder: OutlineInputBorder(
    borderRadius: BorderRadius.all(Radius.circular(15)),
    borderSide: BorderSide(color: Bds8xColor.red4336),
  ),
  focusedErrorBorder: OutlineInputBorder(
    borderRadius: BorderRadius.all(Radius.circular(15)),
    borderSide: BorderSide(color: Bds8xColor.red4336),
  ),
);

const InputDecorationTheme tbtInputDecorationTheme = InputDecorationTheme();
