import 'package:flutter/material.dart';
import 'package:wowit/image_url.dart';
import 'package:wowit/methods.dart';

class ThongTin1 {
  Widget getMainView(Map<String, dynamic> data, String tableName) {
    var dataReponse = Methods.getList(data['data'], tableName);
    if (dataReponse.isNotEmpty) {
      Map<String, Object> itemSuKien = dataReponse[0];
      return Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(
            Methods.getString(itemSuKien, 'title'),
            maxLines: 3,
            style: const TextStyle(
              color: Colors.black,
              fontWeight: FontWeight.bold,
              fontSize: 18,
            ),
          ),
          const SizedBox(height: 8),
          _iconTitle(
              icon: ImageByID.getUrlImage(
                  Methods.getInt(dataReponse[0], 'idIconThoiGian')),
              title: _textTime(itemSuKien)),
          const SizedBox(height: 8),
          _iconTitle(
            icon: ImageByID.getUrlImage(
              Methods.getInt(dataReponse[0], 'idIconDiaDiem'),
            ),
            title: Methods.getString(itemSuKien, 'diaDiemToChuc'),
          ),
          const SizedBox(height: 8),
          _iconTitle(
            icon: ImageByID.getUrlImage(
              Methods.getInt(dataReponse[0], 'idIconHinhThuc'),
            ),
            title: Methods.getString(itemSuKien, 'titleHinhThuc'),
          ),
        ],
      );
    } else {
      return const SizedBox.shrink();
    }
  }

  Widget _iconTitle({
    required String icon,
    required String title,
  }) {
    return Row(
      children: [
        Image.network(
          Methods.getURL(icon),
          height: 20,
          width: 20,
        ),
        const SizedBox(
          width: 8,
        ),
        Expanded(child: Text(title, maxLines: 2))
      ],
    );
  }

  String _textTime(Map<String, Object> data) {
    String textTime = '';
    DateTime? dateTimeStart = Methods.getDateTime(data, 'tgDienRaTu');
    DateTime? dateTimeEnd = Methods.getDateTime(data, 'tgDienRaDen');
    if (Methods.showDate(dateTimeEnd) == Methods.showDate(dateTimeStart)) {
      textTime =
          '${_showTime(dateTimeStart)} - ${_showTime(dateTimeEnd)} : ${Methods.showDate(dateTimeStart)}';
    } else {
      textTime =
          '${_showDateTime(dateTimeStart)} - ${_showDateTime(dateTimeEnd)}';
    }
    return textTime;
  }

  String _showTime(DateTime? date) {
    if (date == null) {
      return '';
    }
    return _formatHourMinute(date.hour, date.minute);
  }

  String _showDateTime(DateTime? date) {
    if (date == null) {
      return '';
    }
    return '${Methods.showDate(date)} ${_formatHourMinute(date.hour, date.minute)}';
  }

  String _formatHourMinute(int hour, int minute) {
    return hour.toString().padLeft(2, '0') +
        ':' +
        minute.toString().padLeft(2, '0');
  }
}
