import 'package:flutter/material.dart';
import 'package:get/get.dart';

import 'wow_text.dart';

class WowAppBar extends AppBar {
  WowAppBar({
    super.key,
    super.titleTextStyle,
    super.toolbarTextStyle,
    super.backgroundColor,
    super.elevation,
    super.centerTitle,
    super.leadingWidth,
    super.actions,
    super.bottom,
    super.flexibleSpace,
    super.toolbarHeight,
    required String title,
    Color? color,
    Function? onTapBack,
    Widget? titleWidget,
    Widget? leading,
    bool hasLeading = true,
  }) : super(
          leading: hasLeading
              ? (leading ??
                  IconButton(
                    icon: Icon(
                      Icons.arrow_back_ios_rounded,
                      color: color,
                      size: 24.0,
                    ),
                    onPressed: () {
                      onTapBack?.call() ?? Get.back();
                    },
                  ))
              : null,
          title: titleWidget ?? WowText(title, style: titleTextStyle),
          automaticallyImplyLeading: false,
        );
}
