// CREATE AT: 18/04/2022 10:02:31 - BY: [1] Linh Nguyễn
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';

import 'view/banner_hinh_anh_share.dart';
import 'view/button_dang_ky.dart';
import 'view/danh_sach_nam_doc_2.dart';
import 'view/dau_gach_ngang.dart';
import 'view/thong_tin_1.dart';
import 'view/vi_tri_component.dart';
import 'view/view_html.dart';

class WowCompomentManager {
  getMainView(
      int idComponentView, Map<String, dynamic> param, String tableName) {
    if (kDebugMode) {
      print('WowCompomentManager.getMainView idComponentView:$idComponentView');
    }
    switch (idComponentView) {
      //Danh sách tin nằm doc - 2
      case 6:
        return DanhSachNamDoc2().getMainView(param, tableName);
      //View HTML
      case 7:
        return ViewHTML().getMainView(param, tableName);
      //Vi tri google map - 1
      case 8:
        return ViTriCompoment().getMainView(param, tableName);
      //Thong tin - 1
      case 9:
        return ThongTin1().getMainView(param, tableName);
      //Banner 1 hình có nút share
      case 10:
        return BannerHinhAnhShare().getMainView(param, tableName);
      //Dấu gạch ngang
      case 11:
        return DauGachNgang().getMainView(param, tableName);
      //Button đăng ký - 1
      case 12:
        return ButtonDangKy().getMainView(param, tableName);
      default:
        if (kDebugMode) {
          print(
              '===================== [ERROR] Component is not define with idComponentView:$idComponentView =====================');
        }
        return const SizedBox.shrink();
    }
  }
}
